* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #574467;
  position: relative;
}
.bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  filter: drop-shadow(0px 0px 3px rgba(0, 0, 0, 0.3));
  z-index: -1;
}
.bg::before {
  content: '';
  background-image: linear-gradient(to top, #202053, rgb(45, 118, 190));
  position: absolute;
  width: 100%;
  height: 100%;
  clip-path: circle(20% at 30% 10%);
}
.bg::after {
  content: '';
  background-image: linear-gradient(to left, #02B801, #FFA600);
  position: absolute;
  width: 100%;
  height: 100%;
  clip-path: circle(20% at 70% 90%);
}
.calc {
  width: 400px;
  height: 533px;
  background-color: rgba(255,255,255,0.08);
  border-top: 1px solid rgba(255,255,255,0.2);
  border-left: 1px solid rgba(255,255,255,0.2);
  border-radius: 15px;
  backdrop-filter: blur(5px);
}
.out {
  width: 95%;
  height: 100px;
  display: block;
  margin: 10px auto;
  border: 1px solid rgba(255,255,255,0.05);
  font-size: 48px;
  text-align: right;
  color: #fff;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  font-weight: 700;
}
input {
  color: #fff;
  font-size: 20px;
  background-color: transparent;
  border: none;
  border-right: 1px solid rgba(255,255,255,0.05);
  border-bottom: 1px solid rgba(255,255,255,0.05);
  height: 80px;
  outline: none;
  transition: all 0.3s;
}
.number {
  width: 95%;
  margin: auto;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
}
.number input:hover {
  background-color: rgba(255,255,255,0.08);
  transition: all 0s;
}
.number input:active {
  background-color: #56CF55;
}
.clear {
  grid-column: span 2;
}
.plus {
  grid-row: span 2;
  height: auto;
}